<template>
	<div>
		<i v-bind:class="{ 'min': isMin(data[2]), 'max': isMax(data[2]) }"><b>{{expSetTotal}}</b>({{data[2]}}) - </i><span :class="{'bld': leftWinner}">{{data[0].split(":")[0]}}</span>:<span :class="{'bld': !leftWinner}">{{data[0].split(":")[1]}}</span> - {{data[1]}}
	</div>
</template>

<script>
import { mapGetters } from 'vuex';

	export default {
		name: 'Holder',
		props: ['data', 'score'] ,
		computed: {
			expSetTotal() {
				let expScores = this.data[0].split(":")
				return Number(expScores[0]) + Number(expScores[1]);
			},
			isUnUsable() {
				return this.score[0] > this.data[0].split(':')[0] || this.score[1] > this.data[0].split(":")[1]
			},
			leftWinner() {
				return Number(this.data[0].split(":")[0]) > Number(this.data[0].split(":")[1])
			},
			expectingTotal() {
				// let expScore = this.data[0].split(":")
				// expScore = Number(expScore[0]) + Number(expScore[1]);

				return Number(this.getCurrentTotal) + this.expSetTotal;
			},
			...mapGetters(['getCurrentTotal', 'isMax', 'isMin'])

		}
	}
</script>

<style scoped>
/*	i {
		color: lightblue;
		opacity: 0;
	}

	.min {
		color: red;
		opacity: 1 !important;
	}
	.max {
		color: blue;
		opacity: 1 !important;
	}
	.bld {
		font-weight: bold;
	}*/
</style>